Bug 491006 - RFE: ifup should restore VLAN routes
RFE: ifup should restore VLAN routes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 17:07 EDT by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 315691
Environment:
Last Closed: 2011-10-20 07:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-03-18 17:07:27 EDT
+++ This bug was initially created as a clone of Bug #315691 +++

----------------------------------------

Description of problem:

If an interface has VLANs on top of it, then any static routes through the VLANs
are lost when the underlying interface is brought down and back up.

For example, this is the way we have our servers configured:

VLAN:   bond0.100
BOND:   bond0
IFACE:  eth01 & eth02

If bond0 is brought down and back up, the routes that go through bond0.100 are
lost (the network routes are not lost, just any other defined static routes
whose gateways are on bond0.100).

I have identified a fairly straightforward fix.

Included is a patch to "ifup-routes" that checks to see if the affected
interface has any VLAN's associated with it.  If so, AND IF THE VLANS ARE
CURRENTLY UP, their static routes are restored.

----------------------------------------

Version-Release number of selected component (if applicable):
initscripts from RHEL 4.4.

----------------------------------------

How reproducible:
Always

----------------------------------------

Steps to Reproduce:
1. Set up a VLAN on top of an eth or a bond.
2. Set up a static route through the VLAN.
3. ifdown the eth or bond
4. ifup the eth or bond

----------------------------------------

Actual results:
The network routes for the VLAN are present, but the static routes (defined in
the routes-eth0.100 files) are not present.

----------------------------------------

Expected results:
Routes should be re-enabled when the interface is brought up.

----------------------------------------

Additional info:

The attached patch to "ifup-routes" fixes the problem.

--- Additional comment from tklc-redhat-bugzilla@kr4jb.net on 2007-10-02 14:12:03 EDT ---

Created an attachment (id=213751)
patch to ifup-routes for VLANs


--- Additional comment from notting@redhat.com on 2007-10-02 17:19:37 EDT ---

Where are the routes being removed?

--- Additional comment from tklc-redhat-bugzilla@kr4jb.net on 2007-10-19 08:49:33 EDT ---

They are removed when you ifdown the underlying interface.

For example:

VLAN:   bond0.100
BOND:  bond0
IFACE:  eth01 & eth02

When bond0 is brought down, the routes that go through bond0.100
are lost.  When bond0 is brought back up, the network routes are
restored, but any other defined static routes whose gateways are
on bond0.100 are lost.

Alan
Comment 1 iarly selbir 2009-03-19 17:07:30 EDT
Triaged.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2009-06-09 08:22:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Karel Volný 2010-01-11 08:52:26 EST
hm, seems to me this bug is still valid for F12, bringing interface down/up cleans up routes on my system ... but ... I'm not vlan expert, Bill, please, could you add exact reproducer steps?
Comment 4 Bill Nottingham 2010-01-11 12:21:15 EST
It was cloned from RHEL 4; it may be fixed. Haven't tested recently.
Comment 5 Bug Zapper 2010-04-27 09:15:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.